%define oname %(echo %{name} | sed -e 's/^ocaml-//')

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif 	

Name:           ocaml-lwt_log
Version:        1.1.2
Release:        %mkrel 1
Summary:        Lwt logging library
License:        LGPLv2+
Group:          Development/OCaml
URL:            https://github.com/aantron/lwt_log
Source0:        https://github.com/aantron/lwt_log/archive/%{version}/lwt_log-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-dune

%description
This module provides functions to deal with logging.
It supports:
  - logging to multiple destination at the same time
  - filtering logs per destination

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES README.md 
%license COPYING

%files devel -f .ofiles-devel



%changelog
* Wed Apr 30 2025 pterjan <pterjan> 1.1.2-1.mga10
+ Revision: 2180146
- Fix build on non mandatory architectures
- Update to 1.1.2
+ neoclust <neoclust>
- Rebuild against new ocaml-base

* Fri May 20 2022 pterjan <pterjan> 1.1.1-5.mga9
+ Revision: 1859343
- Rebuild for OCaml 4.14

* Tue May 17 2022 pterjan <pterjan> 1.1.1-4.mga9
+ Revision: 1858479
- Rebuild for new ocaml-lwt

* Thu Oct 14 2021 tv <tv> 1.1.1-3.mga9
+ Revision: 1751391
- Rebuild for ocaml 4.13.1

* Wed Mar 24 2021 tv <tv> 1.1.1-2.mga9
+ Revision: 1708709
- Rebuild dor ocaml 4.12
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 1.1.1-1.4.mga8
+ Revision: 1670666
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.1.1-1.3.mga8
+ Revision: 1551804
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.1.1-1.2.mga8
+ Revision: 1545187
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 1.1.1-1.1.mga8
+ Revision: 1484110
- rebuild with fixed lwt
- no need to run "dune upgrade"

* Mon Jan 27 2020 tv <tv> 1.1.1-1.mga8
+ Revision: 1484081
- new release

* Sun Jan 26 2020 tv <tv> 1.1.0-3.mga8
+ Revision: 1483151
- rebuild for ocaml-4.10

* Thu Oct 25 2018 daviddavid <daviddavid> 1.1.0-2.mga7
+ Revision: 1325476
- rebuild for new ocaml 4.07.1
- use a named-versioned git tarball

* Thu Oct 11 2018 pterjan <pterjan> 1.1.0-1.mga7
+ Revision: 1319718
- Add missing BuildRequires
- imported package ocaml-lwt_log

